/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

interface nsIVariant;

[scriptable, uuid(c44b48da-a468-44b1-8d3d-a8bacc8ae04f)]
interface flockIMetricsService : nsISupports {
  void report(in AUTF8String aKey, in nsIVariant aValue);

  AString getUserUUID();

  /* for QA/debugging purposes */
  nsIVariant getCurrentReport();

  /* XXX: Obsolete, need to be removed */
  void reportNow(in AUTF8String aKey, in AUTF8String aValue);
  void reportCount(in AUTF8String aKey);
};
